Last Comment Bug 673627 - --enable-callgrind should turn on --enable-profiling
: --enable-callgrind should turn on --enable-profiling
Status: RESOLVED FIXED
[inbound]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla8
Assigned To: general
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-22 17:28 PDT by Steve Fink [:sfink] [:s:]
Modified: 2011-08-02 03:22 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
--enable-callgrind turns on --enable-profiling (1.82 KB, patch)
2011-07-22 17:28 PDT, Steve Fink [:sfink] [:s:]
dmandelin: review+
Details | Diff | Review

Description Steve Fink [:sfink] [:s:] 2011-07-22 17:28:58 PDT
Created attachment 547856 [details] [diff] [review]
--enable-callgrind turns on --enable-profiling

--enable-profiling means, as far as I can tell, "add commands to appropriate global objects that allow controlling profiling" (so start/stop/pause/resume/etc.)

Many profiler-like things don't really need that sort of thing, but Callgrind must be explicitly started (AFAICT; I haven't actually used it). So it makes little sense to use --enable-callgrind without --enable-profiling.

Other profiling options already enable --enable-profiling, too, so this isn't a first.

(nb: I made this patch to work around another problem which I have correctly resolved in other ways, so if there's some reason to not do this, then it's not going to break anything. For example, if we decide to --enable-callgrind by default, it would widen the attack surface very slightly to also --enable-profiling.)
Comment 1 David Mandelin [:dmandelin] 2011-07-25 17:23:57 PDT
Comment on attachment 547856 [details] [diff] [review]
--enable-callgrind turns on --enable-profiling

Review of attachment 547856 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 2 Steve Fink [:sfink] [:s:] 2011-08-01 16:07:08 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/e50f838bea83
Comment 3 Marco Bonardo [::mak] 2011-08-02 03:22:41 PDT
http://hg.mozilla.org/mozilla-central/rev/e50f838bea83

Note You need to log in before you can comment on or make changes to this bug.